List of deployments













Beta Workflows Deployments Endpoints
List and inspect worker deployments.












Examples
Real world code examples
List Deployments
GET /v1/workflows/deployments
active_only
workflow_name
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/deployments \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/deployments \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"deployments": [
{
"created_at": "2025-10-07T20:56:01.974Z",
"id": "ipsum eiusmod",
"is_active": false,
"name": "consequat do",
"updated_at": "2025-10-07T20:56:01.974Z"
}
]
}{
"deployments": [
{
"created_at": "2025-10-07T20:56:01.974Z",
"id": "ipsum eiusmod",
"is_active": false,
"name": "consequat do",
"updated_at": "2025-10-07T20:56:01.974Z"
}
]
}Get Deployment
GET /v1/workflows/deployments/{name}
name
200
Successful Response
created_at
When the deployment was first registered
id
Unique identifier of the deployment
is_active
Whether at least one worker is currently live
name
Deployment name
updated_at
When the deployment was last updated
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/deployments/{name} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/deployments/{name} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"created_at": "2025-10-07T20:56:01.974Z",
"id": "ipsum eiusmod",
"is_active": false,
"name": "consequat do",
"updated_at": "2025-10-07T20:56:01.974Z",
"workers": [
{
"created_at": "2025-10-07T20:56:01.974Z",
"name": "reprehenderit ut dolore",
"updated_at": "2025-10-07T20:56:01.974Z"
}
]
}{
"created_at": "2025-10-07T20:56:01.974Z",
"id": "ipsum eiusmod",
"is_active": false,
"name": "consequat do",
"updated_at": "2025-10-07T20:56:01.974Z",
"workers": [
{
"created_at": "2025-10-07T20:56:01.974Z",
"name": "reprehenderit ut dolore",
"updated_at": "2025-10-07T20:56:01.974Z"
}
]
}